For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ensure IPSecTunnel

Ensures that the IPSecTunnel with the provided ID is created or modified. The full IPSecTunnel needs to be provided to ensure (either update or create) the IPSecTunnel. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

put
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
tunnelIdstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
Body
idstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
metadataanyOptional

Metadata

Responses
200

IPSecTunnel successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecTunnel.

Example: /ipsecgateways/{gatewayId}/tunnels/c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
put/ipsecgateways/{gatewayId}/tunnels/{tunnelId}
PUT /ipsecgateways/{gatewayId}/tunnels/{tunnelId} HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 602

{
  "id": "c28b2d3e-7b15-53ca-ae88-6ae9378d6efe",
  "metadata": {},
  "properties": {
    "name": "My Company Gateway Tunnel",
    "description": "Allows local subnet X to connect to virtual network Y.",
    "remoteHost": "vpn.mycompany.com",
    "auth": {
      "method": "PSK",
      "psk": {
        "key": "X2wosbaw74M8hQGbK3jCCaEusR6CCFRa"
      }
    },
    "ike": {
      "diffieHellmanGroup": "16-MODP4096",
      "encryptionAlgorithm": "AES256",
      "integrityAlgorithm": "SHA256",
      "lifetime": 86400
    },
    "esp": {
      "diffieHellmanGroup": "16-MODP4096",
      "encryptionAlgorithm": "AES256",
      "integrityAlgorithm": "SHA256",
      "lifetime": 3600
    },
    "cloudNetworkCIDRs": [
      "192.168.1.100/24"
    ],
    "peerNetworkCIDRs": [
      "1.2.3.4/32"
    ]
  }
}
{
  "id": "c28b2d3e-7b15-53ca-ae88-6ae9378d6efe",
  "type": "ipsectunnel",
  "href": "/ipsecgateways/{gatewayId}/tunnels/c28b2d3e-7b15-53ca-ae88-6ae9378d6efe",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null
  },
  "properties": {
    "name": "My Company Gateway Tunnel",
    "description": "Allows local subnet X to connect to virtual network Y.",
    "remoteHost": "vpn.mycompany.com",
    "auth": {
      "method": "PSK",
      "psk": {}
    },
    "ike": {
      "diffieHellmanGroup": "16-MODP4096",
      "encryptionAlgorithm": "AES256",
      "integrityAlgorithm": "SHA256",
      "lifetime": 86400
    },
    "esp": {
      "diffieHellmanGroup": "16-MODP4096",
      "encryptionAlgorithm": "AES256",
      "integrityAlgorithm": "SHA256",
      "lifetime": 3600
    },
    "cloudNetworkCIDRs": [
      "192.168.1.100/24"
    ],
    "peerNetworkCIDRs": [
      "1.2.3.4/32"
    ]
  }
}

Last updated

Was this helpful?